/// <reference types="standalone-electron-types" />
import { type BrowserWindowConstructorOptions } from "electron";
import type { CheckResultFailure, CheckResultSuccess, InstallResultFailure, InstallResultSuccess, InstallerType, RepluggedPlugin, RepluggedTheme, RepluggedTranslations } from "./types";
declare const RepluggedNative: {
    themes: {
        list: () => Promise<RepluggedTheme[]>;
        uninstall: (themeName: string) => Promise<any>;
        openFolder: () => void;
    };
    plugins: {
        get: (pluginPath: string) => Promise<RepluggedPlugin | undefined>;
        list: () => Promise<RepluggedPlugin[]>;
        uninstall: (pluginPath: string) => Promise<RepluggedPlugin>;
        openFolder: () => void;
    };
    updater: {
        check: (type: string, identifier: string, id: string) => Promise<CheckResultSuccess | CheckResultFailure>;
        install: (type: InstallerType | "replugged", path: string, url: string, version: string) => Promise<InstallResultSuccess | InstallResultFailure>;
    };
    installer: {
        getInfo: (type: string, repo: string, id?: string) => Promise<CheckResultSuccess | CheckResultFailure>;
        install: (type: InstallerType, path: string, url: string, version: string) => Promise<InstallResultSuccess | InstallResultFailure>;
    };
    quickCSS: {
        get: () => Promise<any>;
        save: (css: string) => void;
        openFolder: () => void;
    };
    settings: {
        get: (namespace: string, key: string) => Promise<any>;
        set: (namespace: string, key: string, value: unknown) => Promise<any>;
        has: (namespace: string, key: string) => Promise<any>;
        delete: (namespace: string, key: string) => Promise<any>;
        all: (namespace: string) => Promise<any>;
        startTransaction: (namespace: string) => Promise<any>;
        endTransaction: (namespace: string, settings: Record<string, unknown> | null) => Promise<any>;
        openFolder: () => void;
    };
    i18n: {
        getStrings: () => Promise<RepluggedTranslations>;
    };
    reactDevTools: {
        downloadExtension: () => Promise<void>;
    };
    getVersion: () => string;
    openBrowserWindow: (opts: BrowserWindowConstructorOptions) => void;
};
export type RepluggedNativeType = typeof RepluggedNative;
export {};
