import type { Channel, Guild } from "discord-types/general";
import type { AnyRepluggedCommand, CommandOptionReturn, CommandOptions, GetCommandOption, GetValueType, RepluggedCommand, RepluggedCommandSection } from "../../types";
interface CommandsAndSection {
    section: RepluggedCommandSection;
    commands: Map<string, AnyRepluggedCommand>;
}
export declare const commandAndSections: Map<string, CommandsAndSection>;
export declare const defaultSection: RepluggedCommandSection;
export declare class CommandInteraction<T extends CommandOptionReturn> {
    options: T[];
    channel: Channel;
    guild: Guild;
    constructor(props: {
        options: T[];
        channel: Channel;
        guild: Guild;
    });
    getValue<K extends T["name"], D = undefined>(name: K, defaultValue?: D): GetValueType<GetCommandOption<T, K>, D>;
}
export declare class CommandManager {
    #private;
    constructor();
    /**
     * Code to register an slash command
     * @param cmd Slash Command to be registered
     * @returns An Callback to unregister the slash command
     */
    registerCommand<const T extends CommandOptions>(command: RepluggedCommand<T>): () => void;
    /**
     * Code to unregister all slash commands registered with this class
     */
    unregisterAllCommands(): void;
}
export {};
