/// <reference types="react" />
import React from "@common/react";
import "./badge.css";
export declare enum BadgeSizes {
    SIZE_24 = 0,
    SIZE_22 = 1,
    SIZE_18 = 2
}
interface BadgeProps {
    color?: string;
    tooltip?: string;
    tooltipPosition?: "top" | "bottom" | "left" | "right" | "center" | "window_center";
    className?: string;
    children: React.ReactElement;
    gap?: boolean;
    size?: BadgeSizes;
    onClick?: () => void;
}
export declare function getBadgeSizeClass(size?: BadgeSizes): string;
export declare const Base: (props: BadgeProps) => React.ReactElement;
export interface BadgeArgs {
    color?: string;
    url?: string;
    name?: string;
    size?: BadgeSizes;
}
export interface APIBadges {
    developer?: boolean;
    staff?: boolean;
    support?: boolean;
    contributor?: boolean;
    translator?: boolean;
    hunter?: boolean;
    early?: boolean;
    booster?: boolean;
    custom?: {
        name: string;
        icon?: string;
        color?: string;
    };
}
export type BadgeComponent = (args: BadgeArgs) => React.ReactElement<{
    children: React.ReactElement[];
    className: string;
}>;
declare const Custom: import("react").MemoExoticComponent<({ url, name, size }: BadgeArgs) => JSX.Element>;
declare const badgeElements: Array<{
    type: keyof APIBadges;
    component: React.MemoExoticComponent<BadgeComponent>;
}>;
export { badgeElements, Custom };
