/// <reference types="react" />
import type { Channel, Message } from "discord-types/general";
import type { GetButtonItem, IconButtonProps } from "../../../types/coremods/message";
export declare const buttons: Map<GetButtonItem, string>;
/**
 * Adds a button to any MessagePopover
 * @param item The function that creates the button to add
 * @param key Optional key for button
 * @returns A callback to remove the button from set.
 */
export declare function addButton(item: GetButtonItem, key?: string): () => void;
/**
 * Removes a button from MessagePopover
 * @param item The function that creates the button to add
 * @returns
 */
export declare function removeButton(item: GetButtonItem): void;
/**
 * @internal
 * @hidden
 */
export declare function _buildPopoverElements(msg: Message, channel: Channel, makeButton: (item: IconButtonProps) => React.ComponentType): React.ComponentType[];
