import { Jsonifiable } from "type-fest";
type RPCData = {
    args: Record<string, Jsonifiable | undefined>;
    cmd: string;
};
type RPCCommand = {
    scope?: string | {
        $any: string[];
    };
    handler: (data: RPCData) => Record<string, Jsonifiable | undefined> | Promise<Record<string, Jsonifiable | undefined>> | void | Promise<void>;
};
/**
 * @param name Command name
 * @param command Command handler
 * @returns Unregister function
 */
export declare function registerRPCCommand(name: string, command: RPCCommand): () => void;
/**
 * @param name Command name
 */
export declare function unregisterRPCCommand(name: string): void;
export declare function start(): Promise<void>;
export declare function stop(): void;
export {};
