import type { Promisable } from "type-fest";
interface Coremod {
    start?: () => Promisable<void>;
    stop?: () => Promisable<void>;
    [x: string]: unknown;
}
export declare namespace coremods {
    let noDevtoolsWarning: Coremod;
    let settings: Coremod;
    let badges: Coremod;
    let notrack: Coremod;
    let installer: Coremod;
    let messagePopover: Coremod;
    let notices: Coremod;
    let contextMenu: Coremod;
    let language: Coremod;
    let rpc: Coremod;
    let watcher: Coremod;
    let commands: Coremod;
    let welcome: Coremod;
}
export declare function start(name: keyof typeof coremods): Promise<void>;
export declare function stop(name: keyof typeof coremods): Promise<void>;
export declare function startAll(): Promise<void>;
export declare function stopAll(): Promise<void>;
export declare function runPlaintextPatches(): Promise<void>;
export {};
