export type UpdateSettings = {
    available: boolean;
    version: string;
    url: string;
    webUrl?: string;
    lastChecked: number;
};
type MainUpdaterSettings = {
    autoCheck?: boolean;
    checkIntervalMinutes?: number;
    lastChecked?: number;
};
export declare const updaterSettings: import("../apis/settings").SettingsManager<MainUpdaterSettings, "autoCheck" | "checkIntervalMinutes" | "lastChecked">;
export declare function getUpdateState(id: string): UpdateSettings | null;
export declare function setUpdaterState(id: string, state: UpdateSettings): void;
/**
 * @param id Entity ID to check updates for
 */
export declare function checkUpdate(id: string, verbose?: boolean): Promise<void>;
export declare function installUpdate(id: string, force?: boolean, verbose?: boolean): Promise<boolean>;
export declare function checkAllUpdates(autoCheck?: boolean, verbose?: boolean): Promise<void>;
export declare function getAvailableUpdates(): Array<UpdateSettings & {
    id: string;
}>;
export declare function installAllUpdates(force?: boolean, verbose?: boolean): Record<string, Promise<boolean>>;
export declare function startAutoUpdateChecking(): void;
export {};
