type StringConcat = (...rest: string[]) => string;
export declare const raw: Record<string, unknown> & {
    all: () => Record<string, unknown>;
};
export declare const Permissions: Record<string, bigint> | undefined;
export declare const Scopes: Record<string, string>;
export declare const RPCErrors: Record<string, string | number>;
export declare const RPCCommands: Record<string, string>;
export declare const RPCEvents: Record<string, string>;
export declare const Status: Record<string, string>;
export declare const Paths: Record<string, string>;
export declare const ChannelTypes: Record<string, string | number>;
export declare const Endpoints: Record<string, string | StringConcat>;
export declare const GuildFeatures: Record<string, string>;
export declare const MessageFlags: Record<string, number>;
export declare const Routes: Record<string, string | StringConcat>;
export declare const UserFlags: Record<string, string | number>;
export declare const CSSVariables: Record<string, string>;
interface ColorResponse {
    hex: () => string;
    hsl: () => string;
    int: () => number;
    spring: () => string;
}
interface ShadowColorResponse {
    boxShadow: string;
    filter: string;
    nativeStyles: {
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowColor: string;
        shadowOpacity: number;
        shadowRadius: number;
        elevation: number;
        shadowColorAndroid: string;
    };
}
interface Color {
    css: string;
    resolve: (theme: {
        theme: string;
        saturation: number;
    }) => ColorResponse;
}
interface ShadowColor {
    css: string;
    resolve: (theme: {
        theme: string;
    }) => ShadowColorResponse;
}
interface UnsafeRawColor {
    css: string;
    resolve: (theme: {
        saturation: number;
    }) => ColorResponse;
}
interface ColorMod {
    themes: Record<string, string>;
    colors: Record<string, Color>;
    spacing: Record<string, string>;
    radii: Record<string, number>;
    shadows: Record<string, ShadowColor>;
    unsafe_rawColors: Record<string, UnsafeRawColor>;
}
export declare const ColorGenerator: ColorMod;
export declare const Themes: Record<string, string>;
export {};
