/// <reference types="react" />
interface ImpressionProperties {
    guild_id?: string;
    channel_id?: string;
}
interface ContextMenusOptions {
    align?: "top" | "bottom" | "left" | "right" | "center";
    position?: "top" | "bottom" | "left" | "right" | "center" | "window_center";
    onClose?: () => void;
    impressionName?: string;
    impressionProperties?: ImpressionProperties;
    enableSpellCheck?: boolean;
}
interface ContextMenuProps {
    className: string;
    position: "top" | "bottom" | "left" | "right" | "center" | "window_center" | null;
    theme: string;
    onHeightUpdate: () => void;
    config: ContextMenusOptions;
    target: HTMLElement;
    context: string;
}
export interface ContextMenu {
    close: () => void;
    open: (event: React.MouseEvent, render?: (props: ContextMenuProps) => React.ReactNode, options?: ContextMenusOptions, renderLazy?: Promise<(props: ContextMenuProps) => React.ReactNode>) => void;
    openLazy: (event: React.MouseEvent, renderLazy?: () => Promise<(props: ContextMenuProps) => React.ReactNode>, options?: ContextMenusOptions) => void;
}
declare const _default: ContextMenu;
export default _default;
