import type { Guild } from "discord-types/general";
interface State {
    selectedGuildTimestampMillis: Record<string, number>;
    selectedGuildId: string;
    lastSelectedGuildId: string;
}
export interface SelectedGuildStore {
    getCurrentGuild: () => Guild | undefined;
    getGuildId: () => string | null;
    getLastSelectedGuildId: () => string | null;
    getLastSelectedTimestamp: (guildId: string) => number;
    getState: () => State;
}
export interface GuildStore {
    getGuild: (guildId: string) => Guild | undefined;
    getGuildCount: () => number;
    getGuildIds: () => string[];
    getGuilds: () => Record<string, Guild>;
    isLoaded: () => boolean;
}
export type Guilds = SelectedGuildStore & GuildStore;
export declare function getCurrentGuild(): Guild | undefined;
declare const _default: SelectedGuildStore & GuildStore & {
    getCurrentGuild: typeof getCurrentGuild;
} & {
    all: () => SelectedGuildStore & GuildStore & {
        getCurrentGuild: typeof getCurrentGuild;
    };
};
export default _default;
