import type React from "react";
declare const Kind: {
    readonly MESSAGE: 0;
    readonly SUCCESS: 1;
    readonly FAILURE: 2;
    readonly CUSTOM: 3;
    readonly CLIP: 4;
};
declare const Position: {
    readonly TOP: 0;
    readonly BOTTOM: 1;
};
interface ToastOptions {
    position?: (typeof Position)[keyof typeof Position];
    duration?: number;
    component?: React.ReactElement;
}
interface ToastProps {
    message: string | React.ReactElement | null;
    id: string;
    type: (typeof Kind)[keyof typeof Kind];
    options: ToastOptions;
}
export type CreateToast = (content: string | React.ReactElement | null, kind?: (typeof Kind)[keyof typeof Kind], opts?: ToastOptions) => ToastProps;
export type ShowToast = (props: ToastProps) => void;
type ToastFn = (content: string | React.ReactElement | null, kind?: (typeof Kind)[keyof typeof Kind], opts?: ToastOptions) => void;
export interface Toast {
    toast: ToastFn;
    Kind: typeof Kind;
    Position: typeof Position;
}
declare const _default: Toast;
export default _default;
