import type React from "react";
interface CheckboxProps {
    disabled?: boolean;
    readOnly?: boolean;
    reverse?: boolean;
    displayOnly?: boolean;
    shape?: string;
    align?: string;
    type?: string;
    color?: string;
    checkboxColor?: string;
    size?: number;
    value?: boolean;
    style?: React.CSSProperties;
    className?: string;
    innerClassName?: string;
    onClick?: React.MouseEventHandler<HTMLInputElement>;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>, value: boolean) => void;
}
export type CheckboxType = React.ComponentClass<React.PropsWithChildren<CheckboxProps>> & {
    defaultProps: CheckboxProps;
    Types: Record<"DEFAULT" | "INVERTED" | "GHOST" | "ROW", string>;
    Aligns: Record<"TOP" | "CENTER", string>;
    Shapes: Record<"BOX" | "ROUND" | "SMALL_BOX", string>;
};
export type CheckboxItemType = React.FC<React.PropsWithChildren<CheckboxProps>>;
export declare const Checkbox: CheckboxType;
export declare const CheckboxItem: (props: React.PropsWithChildren<CheckboxProps>) => React.ReactElement;
export {};
