/// <reference types="react" />
import React from "@common/react";
import "./ErrorBoundary.css";
export interface ErrorProps {
    children: React.ReactNode;
    silent?: boolean;
    onError?: (error: Error, errorInfo: React.ErrorInfo) => void;
    /** Element to show if the error boundary is triggered */
    fallback?: React.ReactNode;
}
export interface ErrorState {
    hasError: boolean;
    error?: Error;
    pluginName?: string;
}
export type ErrorBoundaryType = React.ComponentClass<ErrorProps, ErrorState>;
export default class ErrorBoundary extends React.Component<ErrorProps, ErrorState> {
    constructor(props: ErrorProps);
    static getDerivedStateFromError(error: Error): ErrorState;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): React.ReactNode;
}
