import type React from "react";
interface FormItemCompProps extends Omit<React.ComponentPropsWithoutRef<"div">, "title"> {
    children: React.ReactNode;
    title?: React.ReactNode;
    error?: React.ReactNode;
    disabled?: boolean;
    required?: boolean;
    tag?: "h1" | "h2" | "h3" | "h4" | "h5" | "label" | "legend";
    titleClassName?: string;
}
export type FormItemCompType = React.ForwardRefExoticComponent<FormItemCompProps> & {
    render: React.ForwardRefRenderFunction<unknown>;
};
interface FormItemProps extends FormItemCompProps {
    note?: string;
    notePosition?: "before" | "after";
    noteStyle?: React.CSSProperties;
    noteClassName?: string;
    divider?: boolean;
}
export type FormItemType = React.FC<FormItemProps>;
declare const _default: FormItemType;
export default _default;
