import type React from "react";
declare const Types: {
    readonly WANDERING_CUBES: "wanderingCubes";
    readonly CHASING_DOTS: "chasingDots";
    readonly PULSING_ELLIPSIS: "pulsingEllipsis";
    readonly SPINNING_CIRCLE: "spinningCircle";
    readonly SPINNING_CIRCLE_SIMPLE: "spinningCircleSimple";
    readonly LOW_MOTION: "lowMotion";
};
interface GenericLoaderProps {
    animated?: boolean;
    className?: string;
    itemClassName?: string;
    style?: React.CSSProperties;
}
type LoaderProps = GenericLoaderProps & {
    type?: (typeof Types)[keyof typeof Types];
} & React.ComponentPropsWithoutRef<"span">;
type SpinningCircleLoaderProps = GenericLoaderProps & {
    type?: (typeof Types)["SPINNING_CIRCLE"] | (typeof Types)["SPINNING_CIRCLE_SIMPLE"];
} & React.ComponentPropsWithoutRef<"div">;
export type LoaderType = React.FC<LoaderProps | SpinningCircleLoaderProps> & {
    Type: typeof Types;
};
declare const _default: LoaderType;
export default _default;
