import type React from "react";
import type { Variant } from "./Text";
declare const Types: {
    readonly WARNING: 0;
    readonly INFO: 1;
    readonly ERROR: 2;
    readonly POSITIVE: 3;
};
interface NoticeProps {
    children: React.ReactNode;
    messageType: (typeof Types)[keyof typeof Types];
    textColor?: string;
    textVariant?: Variant;
    className?: string;
}
export type NoticeType = React.FC<NoticeProps> & {
    Types: typeof Types;
    HelpMessageTypes: typeof Types;
    default: React.FC<NoticeProps>;
};
declare const Notice: NoticeType;
export default Notice;
