import type React from "react";
type RadioOptionType = {
    name: string;
    value: string;
    desc?: string;
    disabled?: boolean;
    color?: string;
    tooltipText?: string;
    tooltipPosition?: "top" | "bottom" | "left" | "right" | "center" | "window_center";
    icon?: React.ComponentType<unknown>;
    collapsibleContent?: React.ReactNode;
};
interface RadioProps {
    options: RadioOptionType[];
    value?: string;
    onChange: (option: RadioOptionType) => void;
    disabled?: boolean;
    size?: string;
    radioPosition?: "left" | "right";
    withTransparentBackground?: boolean;
    orientation?: "vertical" | "horizontal";
    "aria-labelledby"?: string;
    className?: string;
    itemInfoClassName?: string;
    itemTitleClassName?: string;
    radioItemClassName?: string;
    collapsibleClassName?: string;
}
export type RadioType = React.FC<RadioProps> & {
    Sizes: Record<"NOT_SET" | "NONE" | "SMALL" | "MEDIUM", string>;
};
export declare const Radio: RadioType;
interface RadioItemProps extends RadioProps {
    note?: string;
    style?: React.CSSProperties;
}
export type RadioItemType = React.FC<React.PropsWithChildren<RadioItemProps>>;
export declare const RadioItem: (props: React.PropsWithChildren<RadioItemProps>) => React.ReactElement;
export {};
