import type React from "react";
declare const Looks: {
    readonly FILLED: 0;
    readonly CUSTOM: 1;
};
interface SelectOptionType {
    label: string;
    value: string;
    disabled?: boolean;
    key?: string;
}
interface SelectCompProps {
    options: SelectOptionType[];
    isSelected?: (value: string) => void;
    serialize?: (value: string) => void;
    select?: (value: string) => void;
    clear?: () => void;
    placeholder?: string;
    isDisabled?: boolean;
    maxVisibleItems?: number;
    autoFocus?: boolean;
    popoutWidth?: number;
    clearable?: boolean;
    look?: (typeof Looks)[keyof typeof Looks];
    popoutPosition?: "top" | "bottom" | "left" | "right" | "center" | "window_center";
    closeOnSelect?: boolean;
    hideIcon?: boolean;
    onClose?: () => void;
    onOpen?: () => void;
    renderOptionLabel?: (option: SelectOptionType) => string;
    renderOptionValue?: (option: SelectOptionType[]) => string;
    "aria-label"?: string;
    "aria-labelledby"?: string;
    className?: string;
    popoutClassName?: string;
    optionClassName?: string;
}
export type SelectCompType = React.FC<SelectCompProps>;
interface SelectProps extends SelectCompProps {
    onChange?: (value: string) => void;
    onSelect?: (value: string) => void;
    onClear?: () => void;
    value?: string;
    disabled?: boolean;
}
export type SelectType = React.FC<React.PropsWithChildren<SelectProps>> & {
    Looks: typeof Looks;
};
export declare const Select: SelectType;
interface SelectItemProps extends SelectProps {
    note?: string;
    style?: React.CSSProperties;
}
export type SelectItemType = React.FC<React.PropsWithChildren<SelectItemProps>>;
export declare const SelectItem: (props: React.PropsWithChildren<SelectItemProps>) => React.ReactElement;
export {};
