import type React from "react";
declare const MarkerPositions: {
    readonly ABOVE: 0;
    readonly BELOW: 1;
};
interface SliderCompProps {
    disabled?: boolean;
    markers?: number[];
    stickToMarkers?: boolean;
    equidistant?: boolean;
    initialValue?: number;
    defaultValue?: number;
    minValue?: number;
    maxValue?: number;
    mini?: boolean;
    hideBubble?: boolean;
    keyboardStep?: number;
    markerPosition?: (typeof MarkerPositions)[keyof typeof MarkerPositions];
    orientation?: "vertical" | "horizontal";
    "aria-hidden"?: boolean;
    "aria-label"?: string;
    "aria-labelledby"?: string;
    "aria-describedby"?: string;
    barStyles?: React.CSSProperties;
    fillStyles?: React.CSSProperties;
    grabberStyles?: React.CSSProperties;
    className?: string;
    barClassName?: string;
    grabberClassName?: string;
    onValueChange?: (value: number) => void;
    asValueChanges?: (value: number) => void;
    onValueRender?: (value: number) => string;
    onMarkerRender?: (value: number) => string;
    renderMarker?: (marker: number) => React.ReactElement;
    getAriaValueText?: (value: number) => void;
}
export type SliderCompType = React.ComponentClass<SliderCompProps>;
interface SliderProps extends SliderCompProps {
    value?: number;
    onChange?: (value: number) => void;
}
export type SliderType = React.FC<SliderProps> & {
    MarkerPositions: typeof MarkerPositions;
};
export declare const Slider: SliderType;
interface SliderItemProps extends SliderProps {
    note?: string;
    style?: React.CSSProperties;
}
export type SliderItemType = React.FC<React.PropsWithChildren<SliderItemProps>>;
export declare const SliderItem: (props: React.PropsWithChildren<SliderItemProps>) => React.ReactElement;
export {};
