import type React from "react";
declare const Aligns: {
    readonly BOTTOM: "bottom";
    readonly CENTER: "center";
    readonly LEFT: "left";
    readonly RIGHT: "right";
    readonly TOP: "top";
};
declare const Positions: {
    readonly TOP: "top";
    readonly BOTTOM: "bottom";
    readonly LEFT: "left";
    readonly RIGHT: "right";
    readonly CENTER: "center";
    readonly WINDOW_CENTER: "window_center";
};
interface TooltipEnums {
    Aligns: typeof Aligns;
    Positions: typeof Positions;
    Colors: Record<"PRIMARY" | "BLACK" | "GREY" | "BRAND" | "GREEN" | "YELLOW" | "RED" | "CUSTOM" | "PREMIUM", string>;
}
interface BaseTooltipProps {
    text: string;
    color?: string;
    position?: (typeof Positions)[keyof typeof Positions];
    align?: (typeof Aligns)[keyof typeof Aligns];
    spacing?: number;
    delay?: number;
    allowOverflow?: boolean;
    disableTooltipPointerEvents?: boolean;
    forceOpen?: boolean;
    hideOnClick?: boolean;
    clickableOnMobile?: boolean;
    shouldShow?: boolean;
    "aria-label"?: string;
    className?: string;
    tooltipClassName?: string;
    tooltipContentClassName?: string;
    style?: React.CSSProperties;
    onTooltipShow?: () => void;
    onAnimationRest?: (result: unknown, spring: unknown, item?: unknown) => void;
}
interface TooltipFunctionChildren extends BaseTooltipProps {
    children: (props: React.ComponentPropsWithoutRef<"span">) => React.ReactNode;
}
interface TooltipCustom extends BaseTooltipProps {
    children: React.ReactNode;
}
export type OriginalTooltipType = React.ComponentClass<TooltipFunctionChildren> & TooltipEnums;
export type TooltipType = React.FC<TooltipCustom> & TooltipEnums;
declare const Tooltip: TooltipType;
export default Tooltip;
