import type { Filter, RawModule } from "src/types";
/**
 * Get the default export (or top-level exports) for a module
 * @param m Raw module
 * @returns Exports
 * @internal
 */
export declare function getExports<T>(m: RawModule): T | undefined;
/**
 * Find an object in a module that has all the given properties. You will usually not need this function.
 * @param m Module to search
 * @param props Array of prop names
 * @returns Object that contains all the given properties (and any others), or undefined if not found
 */
export declare function getExportsForProps<T, P extends PropertyKey = keyof T>(m: unknown, props: P[]): T | undefined;
export declare function getById<T>(id: number, raw?: false): T | undefined;
export declare function getById<T>(id: number, raw: true): RawModule<T> | undefined;
export declare function getById<T>(id: number, raw?: boolean): T | RawModule<T> | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all?: false;
    raw?: false;
}): T | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all: true;
    raw?: false;
}): T[];
export declare function getModule<T>(filter: Filter, options?: {
    all?: false;
    raw: true;
}): RawModule<T> | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all: true;
    raw: true;
}): Array<RawModule<T>>;
export declare function getModule<T>(filter: Filter, options?: {
    all?: false;
    raw?: boolean;
}): T | RawModule<T> | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all: true;
    raw?: boolean;
}): T[] | Array<RawModule<T>>;
export declare function getModule<T>(filter: Filter, options?: {
    all?: boolean;
    raw?: false;
}): T | T[] | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all?: boolean;
    raw: true;
}): RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getModule<T>(filter: Filter, options?: {
    all?: boolean;
    raw?: boolean;
}): T | T[] | RawModule<T> | Array<RawModule<T>> | undefined;
