import type { RawModule, WaitForOptions } from "src/types";
import { Store } from "../common/flux";
export declare function getBySource<T>(match: string | RegExp, options?: {
    all?: false;
    raw?: false;
}): T | undefined;
export declare function getBySource<T>(match: string | RegExp, options: {
    all: true;
    raw?: false;
}): T[];
export declare function getBySource<T>(match: string | RegExp, options: {
    all: false;
    raw: true;
}): RawModule<T> | undefined;
export declare function getBySource<T>(match: string | RegExp, options: {
    all: true;
    raw: true;
}): Array<RawModule<T>>;
export declare function getBySource<T>(match: string | RegExp, options: {
    all?: false;
    raw?: boolean;
}): T | RawModule<T> | undefined;
export declare function getBySource<T>(match: string | RegExp, options: {
    all: true;
    raw?: boolean;
}): T[] | Array<RawModule<T>>;
export declare function getBySource<T>(match: string | RegExp, options: {
    all: boolean;
    raw?: false;
}): T | T[] | undefined;
export declare function getBySource<T>(match: string | RegExp, options: {
    all: boolean;
    raw: true;
}): RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getBySource<T>(match: string | RegExp, options?: {
    all?: boolean;
    raw?: boolean;
}): T | T[] | RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options?: {
    all?: false;
    raw?: false;
}): T | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options: {
    all: true;
    raw?: false;
}): T[];
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options: {
    all?: false;
    raw: true;
}): RawModule<T> | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options: {
    all: true;
    raw: true;
}): Array<RawModule<T>>;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options?: {
    all: true;
    raw?: boolean;
}): T[] | Array<RawModule<T>>;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options: {
    all?: false;
    raw?: boolean;
}): T | RawModule<T> | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options: {
    all?: boolean;
    raw: true;
}): RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P, options: {
    all?: boolean;
    raw?: false;
}): T | T[] | undefined;
export declare function getByProps<T, P extends PropertyKey = keyof T>(props: P[], options?: {
    all?: boolean;
    raw?: boolean;
}): T | T[] | RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getByProps<T, P extends PropertyKey[] = Array<keyof T>>(...props: P): T | undefined;
export declare function waitForProps<T, P extends PropertyKey = keyof T>(props: P[], options: WaitForOptions & {
    raw?: false;
}): Promise<T>;
export declare function waitForProps<T, P extends PropertyKey = keyof T>(props: P[], options: WaitForOptions & {
    raw: true;
}): Promise<RawModule<T>>;
export declare function waitForProps<T, P extends PropertyKey = keyof T>(props: P[], options?: WaitForOptions): Promise<T | RawModule<T>>;
export declare function waitForProps<T, P extends PropertyKey = keyof T>(...props: P[]): Promise<T>;
export declare function getByValue<T>(match: string | RegExp, options?: {
    all?: false;
    raw?: false;
}): T | undefined;
export declare function getByValue<T>(match: string | RegExp, options: {
    all: true;
    raw?: false;
}): T[];
export declare function getByValue<T>(match: string | RegExp, options: {
    all?: false;
    raw: true;
}): RawModule<T> | undefined;
export declare function getByValue<T>(match: string | RegExp, options: {
    all: true;
    raw: true;
}): Array<RawModule<T>>;
export declare function getByValue<T>(match: string | RegExp, options: {
    all: boolean;
    raw?: false;
}): T | T[] | undefined;
export declare function getByValue<T>(match: string | RegExp, options: {
    all: boolean;
    raw: true;
}): RawModule<T> | Array<RawModule<T>>;
export declare function getByValue<T>(match: string | RegExp, options: {
    all?: false;
    raw: boolean;
}): T | RawModule<T> | undefined;
export declare function getByValue<T>(match: string | RegExp, options: {
    all: true;
    raw: boolean;
}): T[] | Array<RawModule<T>>;
export declare function getByValue<T>(match: string | RegExp, options?: {
    all?: boolean;
    raw?: boolean;
}): T | T[] | RawModule<T> | Array<RawModule<T>> | undefined;
export declare function getByStoreName<T extends Store>(name: string): T | undefined;
