import { UnknownFunction } from "src/types";
/**
 * Search for a function within a module by its source code.
 *
 * @param match The string or regex to match against the function's source code.
 * @param module The module to search.
 */
export declare function getFunctionBySource<F>(module: unknown, match: string | RegExp | ((func: UnknownFunction) => boolean)): F | undefined;
/**
 * Search for a function within a module by its source code. Returns the key of the function.
 *
 * @param match The string or regex to match against the function's source code.
 * @param module The module to search.
 *
 * @remarks
 * Useful for getting the prop name to inject into.
 */
export declare function getFunctionKeyBySource<T>(module: T, match: string | RegExp | ((func: UnknownFunction) => boolean)): Extract<keyof T, string> | undefined;
