import type { PlaintextPatch, RawPlaintextPatch, WebpackModule } from "../../../types";
/**
 * All plaintext patches
 */
export declare const plaintextPatches: RawPlaintextPatch[];
/**
 * Replace a module with a plaintext-patched version.
 * @param mod Module
 * @returns Patched module
 */
export declare function patchModuleSource(mod: WebpackModule, id: string): WebpackModule;
/**
 * Add a plaintext patch.
 * @param patches Patch to add
 * @internal
 * @hidden
 */
export declare function patchPlaintext(patches: PlaintextPatch[]): void;
