import type { Promisable } from "type-fest";
export type SettingsMap = Map<string, unknown>;
export type TransactionHandler<T> = () => Promisable<T>;
export type SettingsTransactionHandler<T> = (settings: SettingsMap) => Promisable<T>;
export type GeneralSettings = {
    apiUrl?: string;
    experiments?: boolean;
    badges?: boolean;
    autoApplyQuickCss?: boolean;
    showWelcomeNoticeOnOpen?: boolean;
    addonEmbeds?: boolean;
    reactDevTools?: boolean;
};
export declare const defaultSettings: {
    apiUrl: string;
    experiments: false;
    badges: true;
    autoApplyQuickCss: false;
    showWelcomeNoticeOnOpen: true;
    reactDevTools: false;
    addonEmbeds: true;
};
